Add support for the new NVIDIA -server driver series

Bug #1881586 reported by Alberto Milone on 2020-06-01
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-drivers-common (Ubuntu)
High
Alberto Milone
Bionic
High
Alberto Milone
Focal
High
Alberto Milone

Bug Description

SRU Request:

[Impact]

The ubuntu drivers tool requires support for the new NVIDIA -server series (introduced by LP: #1881137)

As already made possible when passing in the "--gpgpu" to the "install" argument, ubuntu drivers should be consistent and allow specifying a driver series regardless of whether the --gpgpu argument is used or not. The new parser code takes care of this.

[Test Case]

1) Enable the -proposed repository, and install the new ubuntu-drivers-common (0.8.4~0.20.04.1).

2) Check that specifying an NVIDIA driver flavour works (e.g. "ubuntu-drivers install nvidia:440", if your card is supported by the driver)

3) Restart your computer, and see if everything works correctly when accessing the desktop.

4) Remove all the nvidia drivers:
sudo apt-get --purge remove '*nvidia*'

5) Test the auto-detection:
ubuntu-drivers install

6) Restart your computer, and see if everything works correctly when accessing the desktop.

7) Check that the correct driver was installed for your card:
ubuntu-drivers debug

[Regression Potential]
Medium-Low. The new code should not affect the current functioning of the ubuntu-drivers tool.

Changed in ubuntu-drivers-common (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in ubuntu-drivers-common (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
Changed in ubuntu-drivers-common (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
Changed in ubuntu-drivers-common (Ubuntu):
status: New → In Progress
Changed in ubuntu-drivers-common (Ubuntu Bionic):
status: New → In Progress
Changed in ubuntu-drivers-common (Ubuntu Focal):
status: New → In Progress
Changed in ubuntu-drivers-common (Ubuntu):
importance: Undecided → High
Changed in ubuntu-drivers-common (Ubuntu Bionic):
importance: Undecided → High
Changed in ubuntu-drivers-common (Ubuntu Focal):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-drivers-common - 1:0.8.4

---------------
ubuntu-drivers-common (1:0.8.4) groovy; urgency=medium

  * ubuntu-drivers:
    - Rework the argument parser.
  * debian/control:
    - Depend on python3-click.
    - Drop dependency on dpkg-dev (LP: #1880564).
  * Add support for the "Support" field in packages.
  * Add support for passing in driver and vendor for
    the "install" case (LP: #1881586).
  * gpu-manager.c:
    - Add get_system_architecture().

 -- Alberto Milone <email address hidden> Mon, 01 Jun 2020 12:08:39 +0200

Changed in ubuntu-drivers-common (Ubuntu):
status: In Progress → Fix Released

An upload of ubuntu-drivers-common to focal-proposed has been rejected from the upload queue for the following reason: "Cannot review: missing SRU information. Please see https://wiki.ubuntu.com/StableReleaseUpdates#Procedure. Not all changes appear to have bug references either.".

description: updated
Robie Basak (racb) wrote :

An upload of ubuntu-drivers-common to focal-proposed has been rejected from the upload queue for the following reason: "SRU information is still missing for multiple changes claimed in your changelog entries. Regression discussion is still missing in the bugs in which you do have some SRU information. Please follow ALL of https://wiki.ubuntu.com/StableReleaseUpdates#Procedure, or if that is not possible, please explain in the relevant bugs why an exception is warranted.".

description: updated

Hello Alberto, or anyone else affected,

Accepted ubuntu-drivers-common into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.8.4~0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-drivers-common (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted ubuntu-drivers-common into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.8.4~0.20.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Alberto Milone (albertomilone) wrote :

Calling "ubuntu-drivers install" picks the correct UDA driver. I also tested specifying the driver manually, with "ubuntu-drivers install nvidia:440-server", and I got the correct driver again.

:~$ apt-cache policy ubuntu-drivers-common
ubuntu-drivers-common:
  Installed: 1:0.8.4~0.20.04.2
  Candidate: 1:0.8.4~0.20.04.2
  Version table:
 *** 1:0.8.4~0.20.04.2 400
        400 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.8.1.1 500
        500 http://it.archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages
     1:0.8.1 500
        500 http://it.archive.ubuntu.com/ubuntu focal/main amd64 Packages
     1:0.8.1~ppa3 500
        500 http://ppa.launchpad.net/albertomilone/u-d-c-release/ubuntu focal/main amd64 Packages

:~$ apt-cache policy dpkg-dev
dpkg-dev:
  Installed: (none)
  Candidate: 1.19.7ubuntu3
  Version table:
     1.19.7ubuntu3 500
        500 http://it.archive.ubuntu.com/ubuntu focal/main amd64 Packages
        500 http://it.archive.ubuntu.com/ubuntu focal/main i386 Packages
        100 /var/lib/dpkg/status

:~$ prime-select query
nvidia

:~$ nvidia-smi
Mon Jul 27 18:16:39 2020
+-----------------------------------------------------------------------------+
| NVIDIA-SMI 440.95.01 Driver Version: 440.95.01 CUDA Version: 10.2 |
|-------------------------------+----------------------+----------------------+
| GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |
| Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |
|===============================+======================+======================|
| 0 GeForce RTX 2060 Off | 00000000:01:00.0 Off | N/A |
| N/A 44C P8 3W / N/A | 452MiB / 5934MiB | 0% Default |
+-------------------------------+----------------------+----------------------+

+-----------------------------------------------------------------------------+
| Processes: GPU Memory |
| GPU PID Type Process name Usage |
|=============================================================================|
| 0 1107 G /usr/lib/xorg/Xorg 134MiB |
| 0 1656 G /usr/lib/xorg/Xorg 135MiB |
| 0 1906 G /usr/bin/gnome-shell 165MiB |
+-----------------------------------------------------------------------------+

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-drivers-common - 1:0.8.4~0.20.04.2

---------------
ubuntu-drivers-common (1:0.8.4~0.20.04.2) focal; urgency=medium

  * gpu-manager.c:
    - Use the full multiarch path for the X11 libraries.

ubuntu-drivers-common (1:0.8.4~0.20.04.1) focal; urgency=medium

  * UbuntuDrivers/detect.py,
    detect-plugins/sl-modem.py:
    - Avoid triggering test_static.py
      with "E741 ambiguous variable name 'l'" error.
  * ubuntu-drivers:
    - Rework the argument parser to allow passing in
      driver and vendor for the "install" case
      (LP: #1881586).
    - Do not print an error when linux-modules cannot
      be found. This prevents the ubuntu-drivers tools
      from printing misleading warnings, as seen in
      LP:#1882402.
    - Add support for the new -server NVIDIA drivers
      (LP: #1881586).
  * debian/control:
    - Depend on python3-click (for the argument
      parsing code).
    - Drop dependency on dpkg-dev (LP: #1880564).
  * gpu-manager.c:
    - Add get_system_architecture() (to drop the
      dpkg-dev dependency).

 -- Alberto Milone <email address hidden> Mon, 27 Jul 2020 16:10:25 +0200

Changed in ubuntu-drivers-common (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-drivers-common has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers